#include "wrapper.h"

#include <library/cpp/logger/global/global.h>

using namespace NRtyInfraTests;

TString PRODUCT_NAME("MTESTER");

class TClientLog : public TLogBackend {
public:
    void WriteData(const TLogRecord& rec) override {
        Cout << TString(rec.Data, rec.Len) << Endl;
    }
    void ReopenLog() override {
        Cout << "\nTClientLog::ReopenLog()\n" << Endl;
    }
};

int main (int argc, char **argv) {
    DoInitGlobalLog("cout", 7, false, false);
    TWrapper wrapper;
    return wrapper.Main(argc, argv);
}
